Bug 147142 - tests/testdldp crashes on x86_64
tests/testdldp crashes on x86_64
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: beecrypt (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 10:40 EST by Miloslav Trmač
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 14:24:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2005-02-04 10:40:05 EST
Description of problem:
The testdldp test crashes on x86_64 with beecrypt-3.1.0-{6,7}.
The test does not crash on unpatched beecrypt-3.1.0 or beecrypt-4.1.2.

Version-Release number of selected component (if applicable):
beecrypt-3.1.0-7

Steps to Reproduce:
1.(make check), or read the build log
  
Actual results:
On crowe, which currently has beecrypt-3.1.0-6 installed,
after unpacking compiling unpatched beecrypt-3.1.0:

# (using the unpatched libbeecrypt)
$ tests/testdldp
# (using /usr/lib/libbeecrypt.so.6)
$ tests/.libs/testdldp
Segmentation fault
Comment 1 Jeff Johnson 2005-02-07 14:24:49 EST
No segfault on x86_64 seen in beecrypt-4.1.2-1.

Note You need to log in before you can comment on or make changes to this bug.